Package com.evopdf

# Class SoundLinkElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.SoundLinkElement

public class SoundLinkElement extends PageElement
Represents a link to a sound file in PDF

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoundLinkElement(RectangleFloat linkRectangle, byte[] soundData)`
  Constructs a sound link element at the given location in PDF page and using the given sound data
  `SoundLinkElement(RectangleFloat linkRectangle, String filePath)`
  Constructs a sound link element at the given location in PDF page and using the given sound file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RectangleFloat`
  `linkRectangle()`
  Gets the sound file link rectangle in PDF page
  `void`
  `setLinkRectangle(RectangleFloat linkRectangle)`
  Sets the sound file link rectangle in PDF page
  `void`
  `setSoundData(byte[] soundData)`
  Sets the sound data
  `byte[]`
  `soundData()`
  Gets the sound data

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoundLinkElement

    public SoundLinkElement(RectangleFloat linkRectangle, String filePath) throws Exception
    Constructs a sound link element at the given location in PDF page and using the given sound file
    Parameters:
      `linkRectangle` - the link rectangle in page
      `filePath` - the sound file
    Throws:
      `Exception` - an exception is thrown if the sound link element be added

  - ### SoundLinkElement

    public SoundLinkElement(RectangleFloat linkRectangle, byte[] soundData)
    Constructs a sound link element at the given location in PDF page and using the given sound data
    Parameters:
      `linkRectangle` - the link rectangle in page
      `soundData` - the sound data

- ## Method Details

  - ### linkRectangle

    public RectangleFloat linkRectangle()
    Gets the sound file link rectangle in PDF page
    Returns:
      the sound file link rectangle in PDF page

  - ### setLinkRectangle

    public void setLinkRectangle(RectangleFloat linkRectangle)
    Sets the sound file link rectangle in PDF page
    Parameters:
      `linkRectangle` - the sound file link rectangle in PDF page to set

  - ### soundData

    public byte[] soundData()
    Gets the sound data
    Returns:
      the sound data

  - ### setSoundData

    public void setSoundData(byte[] soundData)
    Sets the sound data
    Parameters:
      `soundData` - the sound data to set